import React, { useContext, useMemo, useState } from 'react'
import { Input, Select, message } from 'antd'
import { LoadTableFields, ReloadTableFields } from '../../../../../apis/process'

const FieldNames = (props) => {

  const { value, onChange, addons } = props

  console.log('props', props)

  const [fieldName, setFieldName] = useState([])
  // const { tableName } = useContext(GlobalStore)

  // console.log('字段名称', props)

  const change = (value) => {
    onChange(value)
  }

  const onFocus = async () => {
    // if (!tableName) {
    //   return message.info('请在表单配置中选择表名!')
    // }
    console.log(addons.getSchemaByPath('tableName'))
    const { data } = await ReloadTableFields({ tableName: '事件_测试02' })
    console.log('data', data)
    if (Array.isArray(data.root)) {
      setFieldName(data.root)
    }
  }

  return (
    <Select
      onFocus={onFocus}
      onChange={change}
      style={{ maxWidth: '208px' }}
      showSearch
      optionFilterProp='children'
      value={value}
    >
      {
        fieldName.map(v => <Select.Option key={v.name} value={v.name}>{v.name}</Select.Option>)
      }
    </Select>
  )
}

export default FieldNames